Bug 815125 - /usr/share/wine/wine.inf lacks of default font replacement
/usr/share/wine/wine.inf lacks of default font replacement
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
1.5.5
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-22 13:50 EDT by Ma Hsiao-chun
Modified: 2017-08-14 04:14 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-10 16:53:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ma Hsiao-chun 2012-04-22 13:50:42 EDT
CJK fonts used in Windows are indeed proprietary; we cannot get them from mscorefonts or other public channel. Therefore, font replacement is crucial for correct CJK text rendering in wine environment. End user may not know how to configure font replacement manually, so Sir maintainer may help them.

It is said that Ubuntu added the following lines to /usr/share/wine/wine.inf, which seems quite general:
HKCU,Software\Wine\Fonts\Replacements,"SimSun",,"WenQuanYi Micro Hei"
HKCU,Software\Wine\Fonts\Replacements,"PMingLiU",,"WenQuanYi Micro Hei"
HKCU,Software\Wine\Fonts\Replacements,"MS Gothic",,"Ume Gothic"
HKCU,Software\Wine\Fonts\Replacements,"MS PGothic",,"Ume P Gothic"
HKCU,Software\Wine\Fonts\Replacements,"MS UI Gothic",,"Ume UI Gothic"
HKCU,Software\Wine\Fonts\Replacements,"MS Mincho",,"Ume Mincho"
HKCU,Software\Wine\Fonts\Replacements,"MS PMincho",,"Ume P Mincho"
HKCU,Software\Wine\Fonts\Replacements,"Batang",,"UnBatang"
HKCU,Software\Wine\Fonts\Replacements,"Dotum",,"UnDotum"
HKCU,Software\Wine\Fonts\Replacements,"Gulim",,"UnDotum"
HKCU,Software\Wine\Fonts\Replacements,"Arial Unicode MS",,"Droid Sans Fallback"
Comment 1 Qian Hong 2012-04-23 00:53:07 EDT
Hello, I can confirm this issue. 

Upstream wine developer Aric Stewart suggested to add the default font replacement at the distribution level.

Reference:
http://bugs.winehq.org/show_bug.cgi?id=16325#c133
http://bugs.winehq.org/show_bug.cgi?id=16325#c167
http://bugs.winehq.org/show_bug.cgi?id=16325#c169

Best regards.
Comment 2 Andre Klapper 2012-06-10 05:49:09 EDT
Could somebody add the keyword "i18n" please?
Comment 3 Ma Hsiao-chun 2012-06-10 12:34:48 EDT
--- wine.inf	2012-06-11 00:29:02.385823405 +0800
+++ wine.inf.ok	2012-06-10 16:01:43.656476330 +0800
@@ -617,6 +617,17 @@
 HKLM,%FontSubStr%,"Times New Roman Greek,161",,"Times New Roman,161"
 HKLM,%FontSubStr%,"Times New Roman TUR,162",,"Times New Roman,162"
 HKLM,System\CurrentControlSet\Hardware Profiles\Current\Software\Fonts,"LogPixels",0x10003,0x00000060
+HKCU,Software\Wine\Fonts\Replacements,"SimSun",,"WenQuanYi Zen Hei"
+HKCU,Software\Wine\Fonts\Replacements,"PMingLiU",,"WenQuanYi Zen Hei"
+HKCU,Software\Wine\Fonts\Replacements,"MS Gothic",,"Ume Gothic"
+HKCU,Software\Wine\Fonts\Replacements,"MS PGothic",,"Ume P Gothic"
+HKCU,Software\Wine\Fonts\Replacements,"MS UI Gothic",,"Ume UI Gothic"
+HKCU,Software\Wine\Fonts\Replacements,"MS Mincho",,"Ume Mincho"
+HKCU,Software\Wine\Fonts\Replacements,"MS PMincho",,"Ume P Mincho"
+HKCU,Software\Wine\Fonts\Replacements,"Batang",,"UnBatang"
+HKCU,Software\Wine\Fonts\Replacements,"Dotum",,"UnDotum"
+HKCU,Software\Wine\Fonts\Replacements,"Gulim",,"UnDotum"
+HKCU,Software\Wine\Fonts\Replacements,"Arial Unicode MS",,"Droid Sans Fallback"
 
 [MCI]
 HKLM,%Mci32Str%,"AVIVideo",,"mciavi32.dll"
Comment 4 Ma Hsiao-chun 2012-06-10 12:43:50 EDT
WenQuanYi Micro Hei is not installed by default in Fedora.
And I just checked the release notes of Fedora 17.
It states that `The default Simplified Chinese Font has changed from "WenQuanYi Zen Hei" to "WenQuanYi Zen Hei Sharp"`.
So I changed my patch slightly to reflect such change.

--- wine.inf	2012-06-11 00:40:07.678332425 +0800
+++ wine.inf.ok	2012-06-11 00:34:35.574349003 +0800
@@ -617,6 +617,17 @@
 HKLM,%FontSubStr%,"Times New Roman Greek,161",,"Times New Roman,161"
 HKLM,%FontSubStr%,"Times New Roman TUR,162",,"Times New Roman,162"
 HKLM,System\CurrentControlSet\Hardware Profiles\Current\Software\Fonts,"LogPixels",0x10003,0x00000060
+HKCU,Software\Wine\Fonts\Replacements,"SimSun",,"WenQuanYi Zen Hei Sharp"
+HKCU,Software\Wine\Fonts\Replacements,"PMingLiU",,"WenQuanYi Zen Hei Sharp"
+HKCU,Software\Wine\Fonts\Replacements,"MS Gothic",,"Ume Gothic"
+HKCU,Software\Wine\Fonts\Replacements,"MS PGothic",,"Ume P Gothic"
+HKCU,Software\Wine\Fonts\Replacements,"MS UI Gothic",,"Ume UI Gothic"
+HKCU,Software\Wine\Fonts\Replacements,"MS Mincho",,"Ume Mincho"
+HKCU,Software\Wine\Fonts\Replacements,"MS PMincho",,"Ume P Mincho"
+HKCU,Software\Wine\Fonts\Replacements,"Batang",,"UnBatang"
+HKCU,Software\Wine\Fonts\Replacements,"Dotum",,"UnDotum"
+HKCU,Software\Wine\Fonts\Replacements,"Gulim",,"UnDotum"
+HKCU,Software\Wine\Fonts\Replacements,"Arial Unicode MS",,"Droid Sans Fallback"
 
 [MCI]
 HKLM,%Mci32Str%,"AVIVideo",,"mciavi32.dll"
Comment 5 Fedora Update System 2012-07-05 11:57:17 EDT
wine-mono-0.0.4-7.fc17,wine-1.5.8-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/wine-mono-0.0.4-7.fc17,wine-1.5.8-1.fc17
Comment 6 Fedora Update System 2012-07-05 11:59:39 EDT
wine-1.5.8-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/wine-1.5.8-1.fc16
Comment 7 Fedora Update System 2012-07-06 17:28:58 EDT
Package wine-mono-0.0.4-7.fc17, wine-1.5.8-1.fc17, mingw-wine-gecko-1.6-1.fc17, mingw-crt-2.0.999-0.6.trunk.20120601.fc17, mingw-headers-2.0.999-0.6.trunk.20120601.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wine-mono-0.0.4-7.fc17 wine-1.5.8-1.fc17 mingw-wine-gecko-1.6-1.fc17 mingw-crt-2.0.999-0.6.trunk.20120601.fc17 mingw-headers-2.0.999-0.6.trunk.20120601.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10358/mingw-wine-gecko-1.6-1.fc17,mingw-crt-2.0.999-0.6.trunk.20120601.fc17,mingw-headers-2.0.999-0.6.trunk.20120601.fc17,wine-mono-0.0.4-7.fc17,wine-1.5.8-1.fc17
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-07-10 16:53:11 EDT
wine-mono-0.0.4-7.fc17, wine-1.5.8-1.fc17, mingw-wine-gecko-1.6-1.fc17, mingw-crt-2.0.999-0.6.trunk.20120601.fc17, mingw-headers-2.0.999-0.6.trunk.20120601.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-07-14 17:58:39 EDT
wine-1.5.8-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Kevin Kofler 2012-07-15 18:34:43 EDT
+HKCU,Software\Wine\Fonts\Replacements,"MS Gothic",,"Ume Gothic"
+HKCU,Software\Wine\Fonts\Replacements,"MS PGothic",,"Ume P Gothic"
+HKCU,Software\Wine\Fonts\Replacements,"MS UI Gothic",,"Ume UI Gothic"
+HKCU,Software\Wine\Fonts\Replacements,"MS Mincho",,"Ume Mincho"
+HKCU,Software\Wine\Fonts\Replacements,"MS PMincho",,"Ume P Mincho"

Uhm, those "Ume" fonts aren't installed by default in Fedora either, are they? In fact, I don't find them in comps at all, do we even have them in Fedora? The default fonts for Japanese in Fedora are the vlgothic-fonts. (There are a couple Mincho fonts, too, but none installed by default.)
Comment 11 Andreas Bierfert 2012-07-18 16:07:32 EDT
Thanks for the hint. Fixed/Improved in 1.5.9.

Note You need to log in before you can comment on or make changes to this bug.